// ModelApp.h : main header file for the MODELAPP application
//

#if !defined(AFX_MODELAPP_H__50C98265_6DE8_11D3_BB5F_00105ACE5212__INCLUDED_)
#define AFX_MODELAPP_H__50C98265_6DE8_11D3_BB5F_00105ACE5212__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CModelApp:
// See ModelApp.cpp for the implementation of this class
//

class CModelApp : public CWinApp
{
public:
  // Which rendering API to use? TRUE = D3D, FALSE = OpenGL.
  BOOL          bUseD3D;

#if 0
  // FIXME: this stuff really shouldn't be here

  // Used in OpenGL pixelformat selection code.
  unsigned char ComponentFromIndex(int i, UINT nbits, UINT shift);

  // Create and destroy GL Rendering Contexts.
  HGLRC CreateGLRenderingContext(CClientDC *pDC);
  void ReleaseGLRenderingContext(HGLRC hRC);
#endif

	CModelApp();
	~CModelApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CModelApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CModelApp)
	afx_msg void OnAppAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MODELAPP_H__50C98265_6DE8_11D3_BB5F_00105ACE5212__INCLUDED_)
