/*
 * nodetypes.h: List of all graph node types, for primitive RTTI mimicing.
 */

/* Collection-safe */

// The types of objectnodes.
enum objectnodetype {OBJECTNODE_GROUP, OBJECTNODE_PRIM,
                     OBJECTNODE_REPEAT};

// The types of primtreenodes.
enum primtreenodetype {PRIMTREENODE_CSG, PRIMTREENODE_PRIM,
		       PRIMTREENODE_WRAPPER};

// The different types of primtree parent links.
enum parenttype {CSG_LEFT, CSG_RIGHT, WRAPPER};
